Public Member Functions | Static Public Member Functions

# cv::AdjusterAdapter Class Reference

A feature detector parameter adjuster, this is used by the DynamicAdaptedFeatureDetector and is a wrapper for FeatureDetector that allow them to be adjusted after a detection. More...

`#include <features2d.hpp>`

Inheritance diagram for cv::AdjusterAdapter:

List of all members.

## Public Member Functions
virtual bool | good () const =0
virtual void | tooFew (int min, int n_detected)=0
virtual void | tooMany (int max, int n_detected)=0
virtual | ~AdjusterAdapter ()
## Static Public Member Functions
static Ptr< AdjusterAdapter > | create (const string &detectorType)

## Detailed Description

A feature detector parameter adjuster, this is used by the DynamicAdaptedFeatureDetector and is a wrapper for FeatureDetector that allow them to be adjusted after a detection.

## Constructor & Destructor Documentation

virtual cv::AdjusterAdapter::~AdjusterAdapter | ( | ) | `[inline, virtual]`

pure virtual interface

## Member Function Documentation

static Ptr<AdjusterAdapter> cv::AdjusterAdapter::create | ( | const string & | detectorType ) | `[static]`

Reimplemented from cv::FeatureDetector.

virtual bool cv::AdjusterAdapter::good | ( | ) | const`[pure virtual]`

are params maxed out or still valid?

Returns:
  false if the parameters can't be adjusted any more

Implemented in cv::FastAdjuster, cv::StarAdjuster, and cv::SurfAdjuster.

virtual void cv::AdjusterAdapter::tooFew | ( | int | min,
|  | int | n_detected
| ) |  | `[pure virtual]`

too few features were detected so, adjust the detector params accordingly

Parameters:

  min | the minimum number of desired features
  n_detected | the number previously detected

Implemented in cv::FastAdjuster, cv::StarAdjuster, and cv::SurfAdjuster.

virtual void cv::AdjusterAdapter::tooMany | ( | int | max,
|  | int | n_detected
| ) |  | `[pure virtual]`

too many features were detected so, adjust the detector params accordingly

Parameters:

  max | the maximum number of desired features
  n_detected | the number previously detected

Implemented in cv::FastAdjuster, cv::StarAdjuster, and cv::SurfAdjuster.

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines